{
  "schema_version": "1.4.0",
  "id": "GHSA-wx9r-x448-8rcp",
  "modified": "2022-05-13T01:11:30Z",
  "published": "2022-05-13T01:11:30Z",
  "aliases": [
    "CVE-2011-4362"
  ],
  "details": "Integer signedness error in the base64_decode function in the HTTP authentication functionality (http_auth.c) in lighttpd 1.4 before 1.4.30 and 1.5 before SVN revision 2806 allows remote attackers to cause a denial of service (segmentation fault) via crafted base64 input that triggers an out-of-bounds read with a negative index.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2011-4362"
    },
    {
      "type": "WEB",
      "url": "https://bugzilla.redhat.com/show_bug.cgi?id=758624"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/71536"
    },
    {
      "type": "WEB",
      "url": "http://archives.neohapsis.com/archives/bugtraq/2011-12/0167.html"
    },
    {
      "type": "WEB",
      "url": "http://blog.pi3.com.pl/?p=277"
    },
    {
      "type": "WEB",
      "url": "http://download.lighttpd.net/lighttpd/security/lighttpd_sa_2011_01.txt"
    },
    {
      "type": "WEB",
      "url": "http://jvn.jp/en/jp/JVN37417423/index.html"
    },
    {
      "type": "WEB",
      "url": "http://redmine.lighttpd.net/issues/2370"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/47260"
    },
    {
      "type": "WEB",
      "url": "http://www.debian.org/security/2011/dsa-2368"
    },
    {
      "type": "WEB",
      "url": "http://www.exploit-db.com/exploits/18295"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2011/11/29/13"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2011/11/29/8"
    },
    {
      "type": "WEB",
      "url": "http://www.securitytracker.com/id?1026359"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2011-12-24T19:55:00Z"
  }
}